INVOKE-RC.D(8)

BEZEICHNUNG
invoke-rc.d - führt System-V-artige Init-Skript-Aktionen aus

ÜBERSICHT

invoke-rc.d [--quiet] [--force] [--try-anyway] [--disclose-deny] [--query] [--no-fallback] Name Aktion [Init-Skript-Parameter…]

invoke-rc.d [--help]

BESCHREIBUNG

invoke-rc.d ist eine generische Schnittstelle zur Ausführung System-V-artiger Init-Skript-/etc/init.d/Name-Aktionen, die den Runlevel-Einschränkungen sowie den durch den lokalen Systemadministrator gesetzten Richtlinien folgen.

Sämtlicher Zugriff durch die Betreuerskripte von Debian-Paketen auf Init-Skripte sollte durch invoke-rc.d erfolgen.

Diese Handbuchseite dokumentiert nur die Verwendung und das Verhalten von invoke-rc.d. Für eine Besprechung des Aufbaus System-V-artiger Init-Skripte lesen Sie bitte init(8). Weitere Informationen über invoke-rc.d können im Abschnitt über Runlevel und init.d-Skripte im Debian Policy Manual gefunden werden.

INIT-SKRIPT-AKTIONEN

Die Standardaktionen sind: start, stop, force-stop, restart, try-restart, reload, force-reload und status. Andere Aktionen werden akzeptiert, aber können für policy-rc.d zu Problemen führen (siehe den Abschnitt INIT-SKRIPT-RICHTLINIEN, daher werden Warnungen erzeugt, wenn die Richtlinienschicht aktiv ist.

Bitte beachten Sie, dass nicht alle Init-Skripte alle oben aufgeführten Aktionen implementieren werden und dass die Richtlinienschicht eine Aktion gegenüber anderen Aktionen außer Kraft setzen oder sie sogar verweigern könnte.

Alle zusätzlichen Parameter werden an das oder die auszuführenden Init-Skript(e) weitergegeben.

Falls eine Aktion unabhängig von lokalen Richtlinien ausgeführt werden muss, verwenden Sie den Schalter --force.

OPTIONEN

    --help
        Hinweise zur Benutzung anzeigen.

    --quiet
        Stiller Modus, Fehlermeldungen werden nicht erzeugt.

    --force
        Versucht das Skript unabhängig von Richtlinien und Init-Skript-Subsystemfehlern auszuführen. Von der Verwendung in Debian-Betreuer-Skripten wird massiv abgeraten.

    --try-anyway
        Versucht das Skript auszuführen, falls ein nicht-fataler Fehler erkannt wird.

    --disclose-deny
        Liefert den Status-Code 101 statt des Status-Codes 0, falls die Init-Skript-Aktion aufgrund der Richtlinienschicht verweigert wird.

    --query
        Liefert einen der Statuscodes 100-106 zurück. Führt das Init-Skript nicht aus und impliziert --disclose-deny und --no-fallback.

    --no-fallback
        Ignoriert sämtliche von der Richtlinienschicht erbetenen Rückfallaktionen. Warnung: Dies ist normalerweise eine ganz schlechte Sache, außer für die Aktion »start«.

    --skip-systemd-native
        Beendet sich, bevor etwas gemacht wird, falls eine Systemd-Umgebung erkannt wird und der angeforderte Dienst eine native Systemd-Unit ist. Dies ist für Betreuerskripte nützlich, die Systemd-Aktionen an deb-systemd-invoke(1p) verschieben möchten.

STATUS-CODES

Sollte ein Init-Skript ausgeführt werden, liefert invoke-rc.d immer den von dem Init-Skript zurückgelieferten Status-Code zurück. Init-Skripte sollten keine Status-Codes im Bereich 100+ zurückliefern (dieser ist von Debian und dem LSB reserviert). Die von Invoke-rc.d selbst zurückgelieferten Status-Codes sind:

    0   Erfolg. Entweder wurde das Init-Skript ausgeführt und lieferte den Exit-Status 0 zurück (beachten Sie, dass eine Rückfallaktion anstatt des auf der Befehlszeile übergebenen ausgeführt worden sein kann) oder es ist aufgrund des Runlevels oder lokaler Richtlinien-Begrenzungen nicht ausgeführt worden und --disclose-deny war nicht verwandt worden.

    1 - 99
        Reserviert für init.d-Skript, normalerweise zeigt dies einen Fehler an.

    100 Init-Script-Kennung (Name) unbekannt. Dies bedeutet, dass das Init-Skript nicht erfolgreich durch update-rc.d registriert wurde oder dass das Init-Skript nicht existiert.

    101 Aktion nicht erlaubt. Die angefragte Aktion wird aufgrund von Runlevel- oder lokalen Richtlinien-Einschränkungen nicht ausgeführt.

    102 Subsystem-Fehler. Fehlfunktion im Init-Skript (oder der Richtlinienebene). Auch bei Fehlschlägen von erzwungener Init-Skript-Ausführung aufgrund von --try-anyway oder --force.

    103 Syntaxfehler.

    104 Aktion erlaubt. Init-Skript würde laufen, aber --query wird eingesetzt.

    105 Verhalten unklar. Es kann nicht ermittelt werden, ob die Aktion ausgeführt werden soll oder nicht, und --query wird eingesetzt.

    106 Rückfallaktion erbeten. Die Richtlinienschicht verweigerte die angeforderte Aktion und stellte eine erlaubte und stattdessen zu verwendende Rückfallaktion bereit.

INIT-SKRIPT-RICHTLINIE

invoke-rc.d führt das Konzept einer Richtlinienschicht ein, die zur Prüfung, ob ein Init-Skript ausgeführt werden soll oder nicht oder ob etwas anderes stattdessen gemacht werden soll, verwandt wird. Diese Schicht hat verschiedene Einsatzzwecke, der offensichtlichste ist die Vermeidung, dass bei Paket-Upgrades Daemons im falschen Runlevel gestartet werden und dass ein Paket Daemons startet oder stoppt, während es in einem Chroot-Gefängnis ist.

Die Richtlinienschicht hat folgende Fähigkeiten: die Ausführung einer Aktion verweigern oder freigeben; erbitten, dass eine andere Aktion (Rückfall genannt) anstelle der auf der Befehlszeile von invoke-rc.d erbetenen Aktion vorgenommen werden soll und die Anfrage mehrerer Aktionen, die in Reihenfolge ausgeführt werden sollen, bis eine erfolgreich ist (ein mehrstufiger Rückfall).

Von sich aus berücksichtigt invoke-rc.d nur den aktuellen Runlevel; es wird alle Versuche blockieren, einen Dienst in einem Runlevel zu starten, in dem er deaktiviert ist. Andere Richtlinien werden mithilfe der Hilfsprogramme policy-rc.d implementiert und sind nur verfügbar, falls /usr/sbin/policy-rc.d auf dem System installiert ist.

DATEIEN

    /etc/init.d/*
        System-V-Init-Skripte.

    /usr/sbin/policy-rc.d
        Init-Skript-Richtlinienschicht-Hilfsprogram (nicht benötigt).

    /etc/rc?.d/*
        System-V-Runlevel-Konfiguration.

ANMERKUNGEN

invoke-rc.d behandelt die Aktion status besonders und liefert einen Exit-Status 4 anstelle des Exit-Status 0 zurück, wenn dieses verweigert wird.

FEHLER

Siehe <http://bugs.debian.org/sysv-rc> und
 <http://bugs.debian.org/init-system-helpers> .

SIEHE AUCH
Debian Policy manual,
/etc/init.d/skeleton,
update-rc.d(8),
init(8),
/usr/share/doc/init-system-helpers/README.policy-rc.d.gz

AUTOR
Henrique de Moraes Holschuh

Lizenz: GNU General Public License v2 oder neuer (GPLv2+)

COPYRIGHT
2001 Henrique de Moraes Holschuh

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).